aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMarvin Steadfast <marvin@xsteadfastx.org>2016-02-16 11:56:46 +0000
committerTimo Teräs <timo.teras@iki.fi>2016-02-22 14:11:35 +0000
commit2e88ee6aebf661b9ea221e5dd3e251535eaba6f6 (patch)
tree755b76c2344c43dc813aa74099898e72bb849077
parent6039effde38fea720d26dfc0e06b67f8ace99c39 (diff)
downloadaports-2e88ee6aebf661b9ea221e5dd3e251535eaba6f6.tar.bz2
aports-2e88ee6aebf661b9ea221e5dd3e251535eaba6f6.tar.xz
testing/libtermkey: new aport
http://www.leonerd.org.uk/code/libtermkey Library for easy processing of keyboard entry from terminal-based programs
-rw-r--r--testing/libtermkey/APKBUILD30
1 files changed, 30 insertions, 0 deletions
diff --git a/testing/libtermkey/APKBUILD b/testing/libtermkey/APKBUILD
new file mode 100644
index 0000000000..551da0288e
--- /dev/null
+++ b/testing/libtermkey/APKBUILD
@@ -0,0 +1,30 @@
+# Contributor: Marvin Steadfast <marvin@xsteadfastx.org>
+# Maintainer: Marvin Steadfast <marvin@xsteadfastx.org>
+pkgname=libtermkey
+pkgver=0.18
+pkgrel=0
+pkgdesc="Library for easy processing of keyboard entry from terminal-based programs"
+url="http://www.leonerd.org.uk/code/libtermkey"
+arch="all"
+license="MIT"
+depends=""
+depends_dev="libtool unibilium-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc $pkgname-dev"
+source="http://www.leonerd.org.uk/code/${pkgname}/${pkgname}-${pkgver}.tar.gz"
+
+_builddir="$srcdir"/"$pkgname"-"$pkgver"
+build() {
+ cd "$_builddir"
+ make PREFIX=/usr || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make PREFIX=/usr DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="3be2e3e5a851a49cc5e8567ac108b520 libtermkey-0.18.tar.gz"
+sha256sums="239746de41c845af52bb3c14055558f743292dd6c24ac26c2d6567a5a6093926 libtermkey-0.18.tar.gz"
+sha512sums="7507d7bf22ab075e932401b2194dcc69b40138955dc398c86327a072603df2a1010474fa9a1c75aa7cab936fa500e5e53118675b0ec6e9a85b66a1b6b7f5332e libtermkey-0.18.tar.gz"